From 4bc2840098ba6b3ece76b67c3d7f5f6d138df9a8 Mon Sep 17 00:00:00 2001
From: grev <grev>
Date: Tue, 23 Sep 2008 18:58:26 +0000
Subject: [PATCH] b=15521 i=Robert.Read i=Nathan.Rutman test_127 fix

---
 lustre/tests/sanity.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lustre/tests/sanity.sh b/lustre/tests/sanity.sh
index 3a458ecbac..e9ec28b6b3 100644
--- a/lustre/tests/sanity.sh
+++ b/lustre/tests/sanity.sh
@@ -5234,8 +5234,8 @@ test_127() { # bug 15521
         #check that we actually got some stats
         [ "$read_bytes" ] || error "Missing read_bytes stats"
         [ "$write_bytes" ] || error "Missing write_bytes stats"
-        [ "$read_bytes" = 0 ] && error "no read done"
-        [ "$write_bytes" = 0 ] && error "no write done"
+        [ "$read_bytes" != 0 ] || error "no read done"
+        [ "$write_bytes" != 0 ] || error "no write done"
 }
 run_test 127 "verify the client stats are sane"
 
-- 
GitLab